Bug 661567 - Publican uses grep and sed in XmlClean
Publican uses grep and sed in XmlClean
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.4
Unspecified Unspecified
low Severity medium
: 3.0
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-08 20:01 EST by Jeff Fearn
Modified: 2012-10-30 23:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2010-12-08 20:01:08 EST
Description of problem:
Publican is using grep in XmlClean, to reduce dependencies perl modules should be used to replace grep and sed.

Version-Release number of selected component (if applicable):
2.5

Additional info:

sed usage can be replaced by using File::Inplace.
Comment 1 Jeff Fearn 2010-12-14 01:04:31 EST
Switched grep & sed to File::Inplace, added new dep to Build.pl and spec file.

Fixed in revision 1687

FYI we need to make sure PO files are updated cleanly when running clean_ids.
Comment 2 Martin Prpič 2012-04-24 13:50:56 EDT
Verified that File::Inplace is pulled in as a dependency:

]$ cat publican.spec |grep Inplace
BuildRequires:  perl(File::Inplace)
]$ rpm -q publican
publican-3.0-0.fc16.t166.noarch
]$ rpm -qR publican | grep Inplace
perl(File::Inplace)  
]$ cat publican.spec | grep Inplace
BuildRequires:  perl(File::Inplace)
]$ cat Build.PL | grep Inplace
        'File::Inplace'                          => 0,
        'File::Inplace'                          => 0,
Comment 3 Martin Prpič 2012-04-26 16:25:17 EDT
Checked for correctness of IDs after running "publican clean_ids" and all seemed to work fine.

On Fedora 16:

]$ rpm -q publican
publican-3.0-0.fc16.t166.noarch

Note You need to log in before you can comment on or make changes to this bug.